org.apache.ignite.internal.binary

## Class BinaryEnumArray

- java.lang.Object
- - org.apache.ignite.internal.binary.BinaryArray
  - - org.apache.ignite.internal.binary.BinaryEnumArray

All Implemented Interfaces:
  Externalizable, Serializable, Cloneable, Comparable<BinaryArray>, BinaryObject, BinaryObjectEx

    public class BinaryEnumArray
    extends BinaryArray

Ignite distinguishes between array of objects and array of enums. This extension of `BinaryArray` intended to keep correct typeId for binary enum arrays.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.binary.BinaryArray

`arr, compClsName, compTypeId, ctx, deserialized, DFLT_IGNITE_USE_BINARY_ARRAYS`

### Constructor Summary

Constructors
Constructor and Description
`BinaryEnumArray()` `Externalizable` support.
`BinaryEnumArray(BinaryContext ctx, int compTypeId, @Nullable String compClsName, Object[] arr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BinaryObject` `clone()` Copies this binary object.
`String` `toString()`
`int` `typeId()`

### Methods inherited from class org.apache.ignite.internal.binary.BinaryArray

`array, compareTo, componentClassName, componentTypeId, deserialize, deserialize, enumName, enumOrdinal, equals, field, hasField, hashCode, initUseBinaryArrays, isFlagSet, rawType, readExternal, size, toBuilder, type, useBinaryArrays, writeExternal`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BinaryEnumArray

    public BinaryEnumArray()

`Externalizable` support.

#### BinaryEnumArray

    public BinaryEnumArray(BinaryContext ctx,
                           int compTypeId,
                           @Nullable
                           @Nullable String compClsName,
                           Object[] arr)

Parameters:
  `ctx` - Context.
  `compTypeId` - Component type id.
  `compClsName` - Component class name.
  `arr` - Array.

### Method Detail

#### typeId

    public int typeId()

Specified by:
  `typeId` in interface `BinaryObjectEx`
Overrides:
  `typeId` in class `BinaryArray`
Returns:
  Type ID.

#### clone

    public BinaryObject clone()
                       throws CloneNotSupportedException

Copies this binary object.

Specified by:
  `clone` in interface `BinaryObject`
Overrides:
  `clone` in class `BinaryArray`
Returns:
  Copy of this binary object.
Throws:
  `CloneNotSupportedException`

#### toString

    public String toString()

Overrides:
  `toString` in class `BinaryArray`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023